package com.bonus.canteen.core.device.manage.dto;

import cn.hutool.core.bean.BeanUtil;
import com.bonus.canteen.core.device.manage.model.DeviceDishes;
import io.swagger.annotations.ApiModelProperty;

public class DeviceDishesDTO {
   @ApiModelProperty(
      value = "id主键",
      hidden = true
   )
   private Long id;
   @ApiModelProperty("设备id")
   private Long deviceId;
   @ApiModelProperty("菜品id")
   private Long dishesId;

   public DeviceDishes convertToEntity() {
      DeviceDishes entity = new DeviceDishes();
      BeanUtil.copyProperties(this, entity, new String[0]);
      return entity;
   }

   public Long getId() {
      return this.id;
   }

   public Long getDeviceId() {
      return this.deviceId;
   }

   public Long getDishesId() {
      return this.dishesId;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setDeviceId(final Long deviceId) {
      this.deviceId = deviceId;
   }

   public void setDishesId(final Long dishesId) {
      this.dishesId = dishesId;
   }

}
